Package org.eclipse.handly.ui.search

## Class SearchEditorOpener

- java.lang.Object
- - org.eclipse.handly.ui.EditorOpener
  - - org.eclipse.handly.ui.search.SearchEditorOpener

-     public class SearchEditorOpener
      extends EditorOpener

  A helper class for opening a search match in an editor.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SearchEditorOpener​(org.eclipse.ui.IWorkbenchPage page, EditorUtility editorUtility)` | Constructs an editor opener with the given workbench page and the given editor utility.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected boolean` | `shouldReuseEditor()` | Returns whether editors should be reused.

    - ### Methods inherited from class org.eclipse.handly.ui.EditorOpener

      `getEditorUtility, getWorkbenchPage, open`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SearchEditorOpener

          public SearchEditorOpener​(org.eclipse.ui.IWorkbenchPage page,
                                    EditorUtility editorUtility)

      Constructs an editor opener with the given workbench page and the given editor utility.
      Parameters:
        `page` - the workbench page to open the editor in (not `null`)
        `editorUtility` - the editor utility for this opener (not `null`)

  - ### Method Detail

    - #### shouldReuseEditor

          protected boolean shouldReuseEditor()

      Description copied from class: `EditorOpener`
      Returns whether editors should be reused.

      Default implementation returns `false`.

      Overrides:
        `shouldReuseEditor` in class `EditorOpener`
      Returns:
        `true` if editors should be reused, and `false` otherwise
      See Also:
        `EditorOpener.open(Object, boolean, boolean)`